﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Sockets;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Net;
using System.IO;

namespace PristaniNaMesici
{
    public static class Server
    {
        static WebClient client = new WebClient();
        static string Address = "";
        static int FileCount = Directory.GetFiles("Lands").Length;

        public static string Start()
        {
            client.DownloadFile(Address + "/start", "Lands/" + FileCount + ".txt");
            FileCount++;
            return client.DownloadString(Address + "/start");
        }

        public static string SendDirection(Module module)
        {
            return new WebClient().DownloadString(string.Format("{0}/stav?id={1}&nahoru={2}&doleva={3}&doprava={4}", Address, module.ID, module.Up, module.Left, module.Right));
        }

        public static string GetState(Module module)
        {
            return new WebClient().DownloadString(string.Format("{0}/stav?id={1}", Address, module.ID));
        }

        public static bool Connect(string address)
        {
            try
            {
                Address = address;

                using (var stream = client.OpenRead(address))
                    return true;
            }
            catch
            {
                return false;
            }
        }
    }
}
